Skip to main content
`Ctrl`+`K`

# wcs (`ndcube.wcs`)

## ndcube.wcs Package

Helpers and wrappers for WCS.

## ndcube.wcs.wrappers Package

### Classes

`CompoundLowLevelWCS`(*wcs[, mapping, pixel_atol]) | A wrapper that takes multiple low level WCS objects and makes a compound WCS that combines them.
`ReorderedLowLevelWCS`(wcs, pixel_order, ...) | A wrapper for a low-level WCS object that has re-ordered pixel and/or world axes.
`ResampledLowLevelWCS`(wcs, factor[, offset]) | A wrapper for a low-level WCS object that has down- or up-sampled pixel axes.

### Class Inheritance Diagram

## ndcube.wcs.tools Module

### Functions

`unwrap_wcs_to_fitswcs`(wcs) | Create FITS-WCS equivalent to (nested) WCS wrapper object.